-- Ab Version 1.14.1.x
UPDATE `sysprops` SET `V` = '9' WHERE `K` = 'dbstructure';
--
-- https://github.com/tloehr/Offene-Pflege.de/issues/39
--
INSERT IGNORE INTO `resinfotype` VALUES ('WOUND6','<tx tooltip=\"Wunden werden auf dem Überleitbogen auf Seite 2 Abschnitt 19 eingetragen. Ebenso wirken sich die Eintragunegn auf den Abschnitt 10 aus (Wundschmerz, Wunden)\"/>\r\n<label label=\"Du kannst zwar mehr als eine Stelle markieren, aber beschreibe nur *eine* Wunde pro Formular.\"  size=\"16\" fontstyle=\"bold\"/>\r\n<bodyscheme name=\"bs1\"/>\r\n\r\n<checkbox name=\"bedsore\" label=\"Diese Wunde ist ein Druckgeschwür (Dekubitus)\" tx=\"Wenn Du das hier markierst, wird das auch auf dem Überleitbogen auf Seite 1 Abschnitt 7 eingetragen.\" enables=\"epuap\" disables=\"daniel\" lockedforchanges=\"true\" default=\"true\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\" lockedforchanges=\"true\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n<combobox label=\"Wund-Stadium nach Daniel\" name=\"daniel\" defaultdisabled=\"true\">\r\n<item label=\"Wunde ist abgeheilt\" name=\"d0\"/>\r\n<item label=\"1. Grad Hautrötung\" name=\"d1\"/>\r\n<item label=\"2. Grad Blasenbildung\" name=\"d2\"/> \r\n<item label=\"3. Grad offener Hautdefekt\" name=\"d3\"/> \r\n<item label=\"4. Grad Muskulatur sichtbar\" name=\"d4\"/>\r\n<item label=\"5. Grad Knochen befallen\" name=\"d5\"/> \r\n</combobox>\r\n\r\n<label size=\"16\" label=\"Denk dran abgeheilte Wunden abzuschliessen.\" fontstyle=\"bold\"/>\r\n<checkbox name=\"pain\" label=\"Die Wunde schmerzt\"/>\r\n<label label=\"Die Schmerzintensität musst Du gesondert unter \'Schmerzeinschätzung\' eintragen.\" size=\"16\"  fontstyle=\"bold\" layout=\"p\"/>\r\n\r\n<textfield name=\"laenge\" label=\"Länge (cm)\" layout=\"br tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"breite\" label=\"Breite (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"tiefe\" label=\"Tiefe (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundfläche\" name=\"tg1\">\r\n<checkbox name=\"epi\" label=\"Epithelisierung\" layout=\"left\"/>\r\n<checkbox name=\"ggran\" label=\"gute Granulation\" layout=\"left\"/>\r\n<checkbox name=\"sgran\" label=\"schlechte Granulation\" layout=\"left\"/>\r\n<checkbox name=\"fibrin\" label=\"Fibrinbelag\" layout=\"left\"/>\r\n<checkbox name=\"fnekr\" label=\"Feuchte Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"tnekr\" label=\"Trockene Nekrose\" layout=\"br\"/>\r\n<checkbox name=\"inseln\" label=\"Wundheilungsinseln\" layout=\"left\"/>\r\n<checkbox name=\"hyper\" label=\"Hypergranulation\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundumgebung\" name=\"tg2\">\r\n<checkbox name=\"rosig1\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot1\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"blau1\" label=\"bläulich verfärbt\" layout=\"left\"/>\r\n<checkbox name=\"marz1\" label=\"marzeriert\"  layout=\"left\"/>\r\n<checkbox name=\"verh1\" label=\"verhärtet\" layout=\"left\"/>\r\n<checkbox name=\"oedem1\" label=\"Ödembildung\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundrand\" name=\"tg3\">\r\n<checkbox name=\"rosig2\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot2\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"glatt2\" label=\"glatt\" layout=\"left\"/>\r\n<checkbox name=\"geschw2\" label=\"geschwollen\"  layout=\"left\"/>\r\n<checkbox name=\"marz2\" label=\"marzeriert\" layout=\"left\"/>\r\n<checkbox name=\"nekr2\" label=\"Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"taschen2\" label=\"Taschenbildung\" layout=\"br left\" enables=\"ttasche\" default=\"false\"/>\r\n<textfield name=\"ttasche\" default=\"0\" label=\"Tiefe der Tasche (cm)\" length=\"6\" hfill=\"false\" size=\"16\" fontstyle=\"bold\"  defaultdisabled=\"true\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundexsudat\" name=\"tg4\">\r\n<checkbox name=\"kein3\" label=\"kein\" layout=\"left\" />\r\n<checkbox name=\"wenig3\" label=\"wenig\" layout=\"left\"/>\r\n<checkbox name=\"viel3\" label=\"viel\" layout=\"left\"/>\r\n<checkbox name=\"klar3\" label=\"klar\" layout=\"left\"/>\r\n<checkbox name=\"blut3\" label=\"blutig\" layout=\"left\"/>\r\n<checkbox name=\"eitr3\" label=\"eitrig\" layout=\"left\"/>\r\n<checkbox name=\"gruen3\" label=\"grün\" layout=\"left\"/>\r\n<checkbox name=\"braun3\" label=\"braun\"  layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (vor VW)\" name=\"tg5\">\r\n<checkbox name=\"unauf4\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht4\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel4\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel4\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (während VW)\" name=\"tg6\">\r\n<checkbox name=\"unauf5\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht5\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel5\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel5\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (nach VW)\" name=\"tg7\">\r\n<checkbox name=\"unauf6\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht6\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel6\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel6\" label=\"stark übelriechend\"  layout=\"left\"/>\r\n</tabgroup>','Wunde Nr.06',NULL,9,147,0,0,0)
,
('WOUND7','<tx tooltip=\"Wunden werden auf dem Überleitbogen auf Seite 2 Abschnitt 19 eingetragen. Ebenso wirken sich die Eintragunegn auf den Abschnitt 10 aus (Wundschmerz, Wunden)\"/>\r\n<label label=\"Du kannst zwar mehr als eine Stelle markieren, aber beschreibe nur *eine* Wunde pro Formular.\"  size=\"16\" fontstyle=\"bold\"/>\r\n<bodyscheme name=\"bs1\"/>\r\n\r\n<checkbox name=\"bedsore\" label=\"Diese Wunde ist ein Druckgeschwür (Dekubitus)\" tx=\"Wenn Du das hier markierst, wird das auch auf dem Überleitbogen auf Seite 1 Abschnitt 7 eingetragen.\" enables=\"epuap\" disables=\"daniel\" lockedforchanges=\"true\" default=\"true\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\" lockedforchanges=\"true\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n<combobox label=\"Wund-Stadium nach Daniel\" name=\"daniel\" defaultdisabled=\"true\">\r\n<item label=\"Wunde ist abgeheilt\" name=\"d0\"/>\r\n<item label=\"1. Grad Hautrötung\" name=\"d1\"/>\r\n<item label=\"2. Grad Blasenbildung\" name=\"d2\"/> \r\n<item label=\"3. Grad offener Hautdefekt\" name=\"d3\"/> \r\n<item label=\"4. Grad Muskulatur sichtbar\" name=\"d4\"/>\r\n<item label=\"5. Grad Knochen befallen\" name=\"d5\"/> \r\n</combobox>\r\n\r\n<label size=\"16\" label=\"Denk dran abgeheilte Wunden abzuschliessen.\" fontstyle=\"bold\"/>\r\n<checkbox name=\"pain\" label=\"Die Wunde schmerzt\"/>\r\n<label label=\"Die Schmerzintensität musst Du gesondert unter \'Schmerzeinschätzung\' eintragen.\" size=\"16\"  fontstyle=\"bold\" layout=\"p\"/>\r\n\r\n<textfield name=\"laenge\" label=\"Länge (cm)\" layout=\"br tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"breite\" label=\"Breite (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"tiefe\" label=\"Tiefe (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundfläche\" name=\"tg1\">\r\n<checkbox name=\"epi\" label=\"Epithelisierung\" layout=\"left\"/>\r\n<checkbox name=\"ggran\" label=\"gute Granulation\" layout=\"left\"/>\r\n<checkbox name=\"sgran\" label=\"schlechte Granulation\" layout=\"left\"/>\r\n<checkbox name=\"fibrin\" label=\"Fibrinbelag\" layout=\"left\"/>\r\n<checkbox name=\"fnekr\" label=\"Feuchte Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"tnekr\" label=\"Trockene Nekrose\" layout=\"br\"/>\r\n<checkbox name=\"inseln\" label=\"Wundheilungsinseln\" layout=\"left\"/>\r\n<checkbox name=\"hyper\" label=\"Hypergranulation\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundumgebung\" name=\"tg2\">\r\n<checkbox name=\"rosig1\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot1\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"blau1\" label=\"bläulich verfärbt\" layout=\"left\"/>\r\n<checkbox name=\"marz1\" label=\"marzeriert\"  layout=\"left\"/>\r\n<checkbox name=\"verh1\" label=\"verhärtet\" layout=\"left\"/>\r\n<checkbox name=\"oedem1\" label=\"Ödembildung\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundrand\" name=\"tg3\">\r\n<checkbox name=\"rosig2\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot2\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"glatt2\" label=\"glatt\" layout=\"left\"/>\r\n<checkbox name=\"geschw2\" label=\"geschwollen\"  layout=\"left\"/>\r\n<checkbox name=\"marz2\" label=\"marzeriert\" layout=\"left\"/>\r\n<checkbox name=\"nekr2\" label=\"Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"taschen2\" label=\"Taschenbildung\" layout=\"br left\" enables=\"ttasche\" default=\"false\"/>\r\n<textfield name=\"ttasche\" default=\"0\" label=\"Tiefe der Tasche (cm)\" length=\"6\" hfill=\"false\" size=\"16\" fontstyle=\"bold\"  defaultdisabled=\"true\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundexsudat\" name=\"tg4\">\r\n<checkbox name=\"kein3\" label=\"kein\" layout=\"left\" />\r\n<checkbox name=\"wenig3\" label=\"wenig\" layout=\"left\"/>\r\n<checkbox name=\"viel3\" label=\"viel\" layout=\"left\"/>\r\n<checkbox name=\"klar3\" label=\"klar\" layout=\"left\"/>\r\n<checkbox name=\"blut3\" label=\"blutig\" layout=\"left\"/>\r\n<checkbox name=\"eitr3\" label=\"eitrig\" layout=\"left\"/>\r\n<checkbox name=\"gruen3\" label=\"grün\" layout=\"left\"/>\r\n<checkbox name=\"braun3\" label=\"braun\"  layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (vor VW)\" name=\"tg5\">\r\n<checkbox name=\"unauf4\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht4\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel4\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel4\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (während VW)\" name=\"tg6\">\r\n<checkbox name=\"unauf5\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht5\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel5\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel5\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (nach VW)\" name=\"tg7\">\r\n<checkbox name=\"unauf6\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht6\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel6\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel6\" label=\"stark übelriechend\"  layout=\"left\"/>\r\n</tabgroup>','Wunde Nr.07',NULL,9,148,0,0,0)
,
('WOUND8','<tx tooltip=\"Wunden werden auf dem Überleitbogen auf Seite 2 Abschnitt 19 eingetragen. Ebenso wirken sich die Eintragunegn auf den Abschnitt 10 aus (Wundschmerz, Wunden)\"/>\r\n<label label=\"Du kannst zwar mehr als eine Stelle markieren, aber beschreibe nur *eine* Wunde pro Formular.\"  size=\"16\" fontstyle=\"bold\"/>\r\n<bodyscheme name=\"bs1\"/>\r\n\r\n<checkbox name=\"bedsore\" label=\"Diese Wunde ist ein Druckgeschwür (Dekubitus)\" tx=\"Wenn Du das hier markierst, wird das auch auf dem Überleitbogen auf Seite 1 Abschnitt 7 eingetragen.\" enables=\"epuap\" disables=\"daniel\" lockedforchanges=\"true\" default=\"true\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\" lockedforchanges=\"true\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n<combobox label=\"Wund-Stadium nach Daniel\" name=\"daniel\" defaultdisabled=\"true\">\r\n<item label=\"Wunde ist abgeheilt\" name=\"d0\"/>\r\n<item label=\"1. Grad Hautrötung\" name=\"d1\"/>\r\n<item label=\"2. Grad Blasenbildung\" name=\"d2\"/> \r\n<item label=\"3. Grad offener Hautdefekt\" name=\"d3\"/> \r\n<item label=\"4. Grad Muskulatur sichtbar\" name=\"d4\"/>\r\n<item label=\"5. Grad Knochen befallen\" name=\"d5\"/> \r\n</combobox>\r\n\r\n<label size=\"16\" label=\"Denk dran abgeheilte Wunden abzuschliessen.\" fontstyle=\"bold\"/>\r\n<checkbox name=\"pain\" label=\"Die Wunde schmerzt\"/>\r\n<label label=\"Die Schmerzintensität musst Du gesondert unter \'Schmerzeinschätzung\' eintragen.\" size=\"16\"  fontstyle=\"bold\" layout=\"p\"/>\r\n\r\n<textfield name=\"laenge\" label=\"Länge (cm)\" layout=\"br tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"breite\" label=\"Breite (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"tiefe\" label=\"Tiefe (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundfläche\" name=\"tg1\">\r\n<checkbox name=\"epi\" label=\"Epithelisierung\" layout=\"left\"/>\r\n<checkbox name=\"ggran\" label=\"gute Granulation\" layout=\"left\"/>\r\n<checkbox name=\"sgran\" label=\"schlechte Granulation\" layout=\"left\"/>\r\n<checkbox name=\"fibrin\" label=\"Fibrinbelag\" layout=\"left\"/>\r\n<checkbox name=\"fnekr\" label=\"Feuchte Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"tnekr\" label=\"Trockene Nekrose\" layout=\"br\"/>\r\n<checkbox name=\"inseln\" label=\"Wundheilungsinseln\" layout=\"left\"/>\r\n<checkbox name=\"hyper\" label=\"Hypergranulation\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundumgebung\" name=\"tg2\">\r\n<checkbox name=\"rosig1\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot1\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"blau1\" label=\"bläulich verfärbt\" layout=\"left\"/>\r\n<checkbox name=\"marz1\" label=\"marzeriert\"  layout=\"left\"/>\r\n<checkbox name=\"verh1\" label=\"verhärtet\" layout=\"left\"/>\r\n<checkbox name=\"oedem1\" label=\"Ödembildung\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundrand\" name=\"tg3\">\r\n<checkbox name=\"rosig2\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot2\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"glatt2\" label=\"glatt\" layout=\"left\"/>\r\n<checkbox name=\"geschw2\" label=\"geschwollen\"  layout=\"left\"/>\r\n<checkbox name=\"marz2\" label=\"marzeriert\" layout=\"left\"/>\r\n<checkbox name=\"nekr2\" label=\"Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"taschen2\" label=\"Taschenbildung\" layout=\"br left\" enables=\"ttasche\" default=\"false\"/>\r\n<textfield name=\"ttasche\" default=\"0\" label=\"Tiefe der Tasche (cm)\" length=\"6\" hfill=\"false\" size=\"16\" fontstyle=\"bold\"  defaultdisabled=\"true\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundexsudat\" name=\"tg4\">\r\n<checkbox name=\"kein3\" label=\"kein\" layout=\"left\" />\r\n<checkbox name=\"wenig3\" label=\"wenig\" layout=\"left\"/>\r\n<checkbox name=\"viel3\" label=\"viel\" layout=\"left\"/>\r\n<checkbox name=\"klar3\" label=\"klar\" layout=\"left\"/>\r\n<checkbox name=\"blut3\" label=\"blutig\" layout=\"left\"/>\r\n<checkbox name=\"eitr3\" label=\"eitrig\" layout=\"left\"/>\r\n<checkbox name=\"gruen3\" label=\"grün\" layout=\"left\"/>\r\n<checkbox name=\"braun3\" label=\"braun\"  layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (vor VW)\" name=\"tg5\">\r\n<checkbox name=\"unauf4\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht4\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel4\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel4\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (während VW)\" name=\"tg6\">\r\n<checkbox name=\"unauf5\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht5\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel5\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel5\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (nach VW)\" name=\"tg7\">\r\n<checkbox name=\"unauf6\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht6\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel6\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel6\" label=\"stark übelriechend\"  layout=\"left\"/>\r\n</tabgroup>','Wunde Nr.08',NULL,9,149,0,0,0)
,
('WOUND9','<tx tooltip=\"Wunden werden auf dem Überleitbogen auf Seite 2 Abschnitt 19 eingetragen. Ebenso wirken sich die Eintragunegn auf den Abschnitt 10 aus (Wundschmerz, Wunden)\"/>\r\n<label label=\"Du kannst zwar mehr als eine Stelle markieren, aber beschreibe nur *eine* Wunde pro Formular.\"  size=\"16\" fontstyle=\"bold\"/>\r\n<bodyscheme name=\"bs1\"/>\r\n\r\n<checkbox name=\"bedsore\" label=\"Diese Wunde ist ein Druckgeschwür (Dekubitus)\" tx=\"Wenn Du das hier markierst, wird das auch auf dem Überleitbogen auf Seite 1 Abschnitt 7 eingetragen.\" enables=\"epuap\" disables=\"daniel\" lockedforchanges=\"true\" default=\"true\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\" lockedforchanges=\"true\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n<combobox label=\"Wund-Stadium nach Daniel\" name=\"daniel\" defaultdisabled=\"true\">\r\n<item label=\"Wunde ist abgeheilt\" name=\"d0\"/>\r\n<item label=\"1. Grad Hautrötung\" name=\"d1\"/>\r\n<item label=\"2. Grad Blasenbildung\" name=\"d2\"/> \r\n<item label=\"3. Grad offener Hautdefekt\" name=\"d3\"/> \r\n<item label=\"4. Grad Muskulatur sichtbar\" name=\"d4\"/>\r\n<item label=\"5. Grad Knochen befallen\" name=\"d5\"/> \r\n</combobox>\r\n\r\n<label size=\"16\" label=\"Denk dran abgeheilte Wunden abzuschliessen.\" fontstyle=\"bold\"/>\r\n<checkbox name=\"pain\" label=\"Die Wunde schmerzt\"/>\r\n<label label=\"Die Schmerzintensität musst Du gesondert unter \'Schmerzeinschätzung\' eintragen.\" size=\"16\"  fontstyle=\"bold\" layout=\"p\"/>\r\n\r\n<textfield name=\"laenge\" label=\"Länge (cm)\" layout=\"br tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"breite\" label=\"Breite (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"tiefe\" label=\"Tiefe (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundfläche\" name=\"tg1\">\r\n<checkbox name=\"epi\" label=\"Epithelisierung\" layout=\"left\"/>\r\n<checkbox name=\"ggran\" label=\"gute Granulation\" layout=\"left\"/>\r\n<checkbox name=\"sgran\" label=\"schlechte Granulation\" layout=\"left\"/>\r\n<checkbox name=\"fibrin\" label=\"Fibrinbelag\" layout=\"left\"/>\r\n<checkbox name=\"fnekr\" label=\"Feuchte Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"tnekr\" label=\"Trockene Nekrose\" layout=\"br\"/>\r\n<checkbox name=\"inseln\" label=\"Wundheilungsinseln\" layout=\"left\"/>\r\n<checkbox name=\"hyper\" label=\"Hypergranulation\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundumgebung\" name=\"tg2\">\r\n<checkbox name=\"rosig1\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot1\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"blau1\" label=\"bläulich verfärbt\" layout=\"left\"/>\r\n<checkbox name=\"marz1\" label=\"marzeriert\"  layout=\"left\"/>\r\n<checkbox name=\"verh1\" label=\"verhärtet\" layout=\"left\"/>\r\n<checkbox name=\"oedem1\" label=\"Ödembildung\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundrand\" name=\"tg3\">\r\n<checkbox name=\"rosig2\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot2\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"glatt2\" label=\"glatt\" layout=\"left\"/>\r\n<checkbox name=\"geschw2\" label=\"geschwollen\"  layout=\"left\"/>\r\n<checkbox name=\"marz2\" label=\"marzeriert\" layout=\"left\"/>\r\n<checkbox name=\"nekr2\" label=\"Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"taschen2\" label=\"Taschenbildung\" layout=\"br left\" enables=\"ttasche\" default=\"false\"/>\r\n<textfield name=\"ttasche\" default=\"0\" label=\"Tiefe der Tasche (cm)\" length=\"6\" hfill=\"false\" size=\"16\" fontstyle=\"bold\"  defaultdisabled=\"true\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundexsudat\" name=\"tg4\">\r\n<checkbox name=\"kein3\" label=\"kein\" layout=\"left\" />\r\n<checkbox name=\"wenig3\" label=\"wenig\" layout=\"left\"/>\r\n<checkbox name=\"viel3\" label=\"viel\" layout=\"left\"/>\r\n<checkbox name=\"klar3\" label=\"klar\" layout=\"left\"/>\r\n<checkbox name=\"blut3\" label=\"blutig\" layout=\"left\"/>\r\n<checkbox name=\"eitr3\" label=\"eitrig\" layout=\"left\"/>\r\n<checkbox name=\"gruen3\" label=\"grün\" layout=\"left\"/>\r\n<checkbox name=\"braun3\" label=\"braun\"  layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (vor VW)\" name=\"tg5\">\r\n<checkbox name=\"unauf4\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht4\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel4\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel4\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (während VW)\" name=\"tg6\">\r\n<checkbox name=\"unauf5\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht5\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel5\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel5\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (nach VW)\" name=\"tg7\">\r\n<checkbox name=\"unauf6\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht6\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel6\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel6\" label=\"stark übelriechend\"  layout=\"left\"/>\r\n</tabgroup>','Wunde Nr.09',NULL,9,150,0,0,0)
,
('WOUND10','<tx tooltip=\"Wunden werden auf dem Überleitbogen auf Seite 2 Abschnitt 19 eingetragen. Ebenso wirken sich die Eintragunegn auf den Abschnitt 10 aus (Wundschmerz, Wunden)\"/>\r\n<label label=\"Du kannst zwar mehr als eine Stelle markieren, aber beschreibe nur *eine* Wunde pro Formular.\"  size=\"16\" fontstyle=\"bold\"/>\r\n<bodyscheme name=\"bs1\"/>\r\n\r\n<checkbox name=\"bedsore\" label=\"Diese Wunde ist ein Druckgeschwür (Dekubitus)\" tx=\"Wenn Du das hier markierst, wird das auch auf dem Überleitbogen auf Seite 1 Abschnitt 7 eingetragen.\" enables=\"epuap\" disables=\"daniel\" lockedforchanges=\"true\" default=\"true\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\" lockedforchanges=\"true\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n<combobox label=\"Wund-Stadium nach Daniel\" name=\"daniel\" defaultdisabled=\"true\">\r\n<item label=\"Wunde ist abgeheilt\" name=\"d0\"/>\r\n<item label=\"1. Grad Hautrötung\" name=\"d1\"/>\r\n<item label=\"2. Grad Blasenbildung\" name=\"d2\"/> \r\n<item label=\"3. Grad offener Hautdefekt\" name=\"d3\"/> \r\n<item label=\"4. Grad Muskulatur sichtbar\" name=\"d4\"/>\r\n<item label=\"5. Grad Knochen befallen\" name=\"d5\"/> \r\n</combobox>\r\n\r\n<label size=\"16\" label=\"Denk dran abgeheilte Wunden abzuschliessen.\" fontstyle=\"bold\"/>\r\n<checkbox name=\"pain\" label=\"Die Wunde schmerzt\"/>\r\n<label label=\"Die Schmerzintensität musst Du gesondert unter \'Schmerzeinschätzung\' eintragen.\" size=\"16\"  fontstyle=\"bold\" layout=\"p\"/>\r\n\r\n<textfield name=\"laenge\" label=\"Länge (cm)\" layout=\"br tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"breite\" label=\"Breite (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n<textfield name=\"tiefe\" label=\"Tiefe (cm)\" layout=\"tab\" length=\"6\" hfill=\"false\"/>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundfläche\" name=\"tg1\">\r\n<checkbox name=\"epi\" label=\"Epithelisierung\" layout=\"left\"/>\r\n<checkbox name=\"ggran\" label=\"gute Granulation\" layout=\"left\"/>\r\n<checkbox name=\"sgran\" label=\"schlechte Granulation\" layout=\"left\"/>\r\n<checkbox name=\"fibrin\" label=\"Fibrinbelag\" layout=\"left\"/>\r\n<checkbox name=\"fnekr\" label=\"Feuchte Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"tnekr\" label=\"Trockene Nekrose\" layout=\"br\"/>\r\n<checkbox name=\"inseln\" label=\"Wundheilungsinseln\" layout=\"left\"/>\r\n<checkbox name=\"hyper\" label=\"Hypergranulation\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundumgebung\" name=\"tg2\">\r\n<checkbox name=\"rosig1\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot1\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"blau1\" label=\"bläulich verfärbt\" layout=\"left\"/>\r\n<checkbox name=\"marz1\" label=\"marzeriert\"  layout=\"left\"/>\r\n<checkbox name=\"verh1\" label=\"verhärtet\" layout=\"left\"/>\r\n<checkbox name=\"oedem1\" label=\"Ödembildung\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundrand\" name=\"tg3\">\r\n<checkbox name=\"rosig2\" label=\"rosig\" layout=\"left\"/>\r\n<checkbox name=\"rot2\" label=\"rot\" layout=\"left\"/>\r\n<checkbox name=\"glatt2\" label=\"glatt\" layout=\"left\"/>\r\n<checkbox name=\"geschw2\" label=\"geschwollen\"  layout=\"left\"/>\r\n<checkbox name=\"marz2\" label=\"marzeriert\" layout=\"left\"/>\r\n<checkbox name=\"nekr2\" label=\"Nekrose\" layout=\"left\"/>\r\n<checkbox name=\"taschen2\" label=\"Taschenbildung\" layout=\"br left\" enables=\"ttasche\" default=\"false\"/>\r\n<textfield name=\"ttasche\" default=\"0\" label=\"Tiefe der Tasche (cm)\" length=\"6\" hfill=\"false\" size=\"16\" fontstyle=\"bold\"  defaultdisabled=\"true\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundexsudat\" name=\"tg4\">\r\n<checkbox name=\"kein3\" label=\"kein\" layout=\"left\" />\r\n<checkbox name=\"wenig3\" label=\"wenig\" layout=\"left\"/>\r\n<checkbox name=\"viel3\" label=\"viel\" layout=\"left\"/>\r\n<checkbox name=\"klar3\" label=\"klar\" layout=\"left\"/>\r\n<checkbox name=\"blut3\" label=\"blutig\" layout=\"left\"/>\r\n<checkbox name=\"eitr3\" label=\"eitrig\" layout=\"left\"/>\r\n<checkbox name=\"gruen3\" label=\"grün\" layout=\"left\"/>\r\n<checkbox name=\"braun3\" label=\"braun\"  layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (vor VW)\" name=\"tg5\">\r\n<checkbox name=\"unauf4\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht4\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel4\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel4\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (während VW)\" name=\"tg6\">\r\n<checkbox name=\"unauf5\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht5\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel5\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel5\" label=\"stark übelriechend\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"Wundgeruch (nach VW)\" name=\"tg7\">\r\n<checkbox name=\"unauf6\" label=\"unauffällig\" layout=\"left\"/>\r\n<checkbox name=\"leicht6\" label=\"leicht\" layout=\"left\"/>\r\n<checkbox name=\"uebel6\" label=\"übelriechend\" layout=\"left\"/>\r\n<checkbox name=\"suebel6\" label=\"stark übelriechend\"  layout=\"left\"/>\r\n</tabgroup>','Wunde Nr.10',NULL,9,151,0,0,0)
,
('WOUNDH6','<optiongroup name=\"art\" label=\"Art\">\r\n<option label=\"Dekubitus\" name=\"dekubitus\" default=\"true\"/>\r\n<option label=\"Ulcus Cruris venosum\" name=\"ulcv\"/>\r\n<option label=\"Ulcus Cruris arteriell\" name=\"ulca\"/>\r\n<option label=\"Ulcus Cruris mixtum\" name=\"ulcm\"/>\r\n<option label=\"Diabetischer Fuß\" name=\"diabetes\" layout=\"br\"/>\r\n<option label=\"sonstige Wunde\" name=\"sonstiges\"/>\r\n<option label=\"mechanische Wunde\" name=\"mechanisch\"/>\r\n<option label=\"abgeheilt\" name=\"abgeheilt\"/>\r\n</optiongroup>\r\n\r\n<bodyscheme name=\"bs1\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n\r\n<optiongroup name=\"entstehung\" label=\"Ort der Entstehung\">\r\n<option label=\"bei uns\" name=\"uns\" default=\"true\"/>\r\n<option label=\"woanders\" name=\"woanders\"/>\r\n</optiongroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"intrinsisch\" name=\"intrinsic\">\r\n<checkbox name=\"rmob\" label=\"reduzierte Mobilität\" layout=\"left\"/>\r\n<checkbox name=\"hauts\" label=\"Veränderung der Hautstruktur\" layout=\"left\"/>\r\n<checkbox name=\"grunde\" label=\"Bestehende Grunderkrankung\" layout=\"left\"/>\r\n<checkbox name=\"az\" label=\"reduzierter AZ\" layout=\"left\"/>\r\n<checkbox name=\"durst\" label=\"gemindertes Durstempfinden\" layout=\"br\"/>\r\n<checkbox name=\"fluesig\" label=\"geringe Flüssigkeitsaufnahme\" layout=\"left\"/>\r\n<checkbox name=\"adipo\" label=\"Adipositas\" layout=\"left\"/>\r\n<checkbox name=\"kachex\" label=\"Kachexie\" layout=\"left\"/>\r\n<checkbox name=\"mangele\" label=\"Mangelernährung\" layout=\"left\"/>\r\n<checkbox name=\"sinko\" label=\"Stuhlinkontinenz\" layout=\"br\"/>\r\n<checkbox name=\"hinko\" label=\"Harninkontinenz\" layout=\"left\"/>\r\n<checkbox name=\"demenz\" label=\"Demenz\" layout=\"left\"/>\r\n<checkbox name=\"infekt\" label=\"Infektion, Fieber\" layout=\"left\"/>\r\n<checkbox name=\"sensib\" label=\"Sensibilitätsstörungen\" layout=\"left\"/>\r\n<checkbox name=\"schweiss\" label=\"Schweiß\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"extrinsisch\" name=\"extrinsic\">\r\n<checkbox name=\"medi\" label=\"Medikamente\" layout=\"left\"/>\r\n<checkbox name=\"feucht\" label=\"Feuchtigkeit (falsches Bettklima)\" layout=\"left\"/>\r\n<checkbox name=\"mang\" label=\"mangelnde Körperhygiene\" layout=\"left\"/>\r\n<checkbox name=\"lagerung\" label=\"Lagerung\" layout=\"left\"/>\r\n<checkbox name=\"scher\" label=\"Scher-/Reibungskräfte\" layout=\"br\"/>\r\n<checkbox name=\"hebe\" label=\"Hebe-/Lagerungstechnik\" layout=\"left\"/>\r\n<checkbox name=\"erfrier\" label=\"Erfrierungen\" layout=\"left\"/>\r\n<checkbox name=\"verbrenn\" label=\"Verbrennungen\" layout=\"left\"/>\r\n<checkbox name=\"mechan\" label=\"mechanische Verletzung\" layout=\"left\"/>\r\n<checkbox name=\"allergien\" label=\"Allergien\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<textfield name=\"allergtext\" label=\"Wenn allergisch, worauf ?\"/>','Wundanamnese Wunde Nr.06',NULL,9,152,0,0,0)
,
('WOUNDH7','<optiongroup name=\"art\" label=\"Art\">\r\n<option label=\"Dekubitus\" name=\"dekubitus\" default=\"true\"/>\r\n<option label=\"Ulcus Cruris venosum\" name=\"ulcv\"/>\r\n<option label=\"Ulcus Cruris arteriell\" name=\"ulca\"/>\r\n<option label=\"Ulcus Cruris mixtum\" name=\"ulcm\"/>\r\n<option label=\"Diabetischer Fuß\" name=\"diabetes\" layout=\"br\"/>\r\n<option label=\"sonstige Wunde\" name=\"sonstiges\"/>\r\n<option label=\"mechanische Wunde\" name=\"mechanisch\"/>\r\n<option label=\"abgeheilt\" name=\"abgeheilt\"/>\r\n</optiongroup>\r\n\r\n<bodyscheme name=\"bs1\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n\r\n<optiongroup name=\"entstehung\" label=\"Ort der Entstehung\">\r\n<option label=\"bei uns\" name=\"uns\" default=\"true\"/>\r\n<option label=\"woanders\" name=\"woanders\"/>\r\n</optiongroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"intrinsisch\" name=\"intrinsic\">\r\n<checkbox name=\"rmob\" label=\"reduzierte Mobilität\" layout=\"left\"/>\r\n<checkbox name=\"hauts\" label=\"Veränderung der Hautstruktur\" layout=\"left\"/>\r\n<checkbox name=\"grunde\" label=\"Bestehende Grunderkrankung\" layout=\"left\"/>\r\n<checkbox name=\"az\" label=\"reduzierter AZ\" layout=\"left\"/>\r\n<checkbox name=\"durst\" label=\"gemindertes Durstempfinden\" layout=\"br\"/>\r\n<checkbox name=\"fluesig\" label=\"geringe Flüssigkeitsaufnahme\" layout=\"left\"/>\r\n<checkbox name=\"adipo\" label=\"Adipositas\" layout=\"left\"/>\r\n<checkbox name=\"kachex\" label=\"Kachexie\" layout=\"left\"/>\r\n<checkbox name=\"mangele\" label=\"Mangelernährung\" layout=\"left\"/>\r\n<checkbox name=\"sinko\" label=\"Stuhlinkontinenz\" layout=\"br\"/>\r\n<checkbox name=\"hinko\" label=\"Harninkontinenz\" layout=\"left\"/>\r\n<checkbox name=\"demenz\" label=\"Demenz\" layout=\"left\"/>\r\n<checkbox name=\"infekt\" label=\"Infektion, Fieber\" layout=\"left\"/>\r\n<checkbox name=\"sensib\" label=\"Sensibilitätsstörungen\" layout=\"left\"/>\r\n<checkbox name=\"schweiss\" label=\"Schweiß\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"extrinsisch\" name=\"extrinsic\">\r\n<checkbox name=\"medi\" label=\"Medikamente\" layout=\"left\"/>\r\n<checkbox name=\"feucht\" label=\"Feuchtigkeit (falsches Bettklima)\" layout=\"left\"/>\r\n<checkbox name=\"mang\" label=\"mangelnde Körperhygiene\" layout=\"left\"/>\r\n<checkbox name=\"lagerung\" label=\"Lagerung\" layout=\"left\"/>\r\n<checkbox name=\"scher\" label=\"Scher-/Reibungskräfte\" layout=\"br\"/>\r\n<checkbox name=\"hebe\" label=\"Hebe-/Lagerungstechnik\" layout=\"left\"/>\r\n<checkbox name=\"erfrier\" label=\"Erfrierungen\" layout=\"left\"/>\r\n<checkbox name=\"verbrenn\" label=\"Verbrennungen\" layout=\"left\"/>\r\n<checkbox name=\"mechan\" label=\"mechanische Verletzung\" layout=\"left\"/>\r\n<checkbox name=\"allergien\" label=\"Allergien\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<textfield name=\"allergtext\" label=\"Wenn allergisch, worauf ?\"/>','Wundanamnese Wunde Nr.07',NULL,9,153,0,0,0)
,
('WOUNDH8','<optiongroup name=\"art\" label=\"Art\">\r\n<option label=\"Dekubitus\" name=\"dekubitus\" default=\"true\"/>\r\n<option label=\"Ulcus Cruris venosum\" name=\"ulcv\"/>\r\n<option label=\"Ulcus Cruris arteriell\" name=\"ulca\"/>\r\n<option label=\"Ulcus Cruris mixtum\" name=\"ulcm\"/>\r\n<option label=\"Diabetischer Fuß\" name=\"diabetes\" layout=\"br\"/>\r\n<option label=\"sonstige Wunde\" name=\"sonstiges\"/>\r\n<option label=\"mechanische Wunde\" name=\"mechanisch\"/>\r\n<option label=\"abgeheilt\" name=\"abgeheilt\"/>\r\n</optiongroup>\r\n\r\n<bodyscheme name=\"bs1\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n\r\n<optiongroup name=\"entstehung\" label=\"Ort der Entstehung\">\r\n<option label=\"bei uns\" name=\"uns\" default=\"true\"/>\r\n<option label=\"woanders\" name=\"woanders\"/>\r\n</optiongroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"intrinsisch\" name=\"intrinsic\">\r\n<checkbox name=\"rmob\" label=\"reduzierte Mobilität\" layout=\"left\"/>\r\n<checkbox name=\"hauts\" label=\"Veränderung der Hautstruktur\" layout=\"left\"/>\r\n<checkbox name=\"grunde\" label=\"Bestehende Grunderkrankung\" layout=\"left\"/>\r\n<checkbox name=\"az\" label=\"reduzierter AZ\" layout=\"left\"/>\r\n<checkbox name=\"durst\" label=\"gemindertes Durstempfinden\" layout=\"br\"/>\r\n<checkbox name=\"fluesig\" label=\"geringe Flüssigkeitsaufnahme\" layout=\"left\"/>\r\n<checkbox name=\"adipo\" label=\"Adipositas\" layout=\"left\"/>\r\n<checkbox name=\"kachex\" label=\"Kachexie\" layout=\"left\"/>\r\n<checkbox name=\"mangele\" label=\"Mangelernährung\" layout=\"left\"/>\r\n<checkbox name=\"sinko\" label=\"Stuhlinkontinenz\" layout=\"br\"/>\r\n<checkbox name=\"hinko\" label=\"Harninkontinenz\" layout=\"left\"/>\r\n<checkbox name=\"demenz\" label=\"Demenz\" layout=\"left\"/>\r\n<checkbox name=\"infekt\" label=\"Infektion, Fieber\" layout=\"left\"/>\r\n<checkbox name=\"sensib\" label=\"Sensibilitätsstörungen\" layout=\"left\"/>\r\n<checkbox name=\"schweiss\" label=\"Schweiß\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"extrinsisch\" name=\"extrinsic\">\r\n<checkbox name=\"medi\" label=\"Medikamente\" layout=\"left\"/>\r\n<checkbox name=\"feucht\" label=\"Feuchtigkeit (falsches Bettklima)\" layout=\"left\"/>\r\n<checkbox name=\"mang\" label=\"mangelnde Körperhygiene\" layout=\"left\"/>\r\n<checkbox name=\"lagerung\" label=\"Lagerung\" layout=\"left\"/>\r\n<checkbox name=\"scher\" label=\"Scher-/Reibungskräfte\" layout=\"br\"/>\r\n<checkbox name=\"hebe\" label=\"Hebe-/Lagerungstechnik\" layout=\"left\"/>\r\n<checkbox name=\"erfrier\" label=\"Erfrierungen\" layout=\"left\"/>\r\n<checkbox name=\"verbrenn\" label=\"Verbrennungen\" layout=\"left\"/>\r\n<checkbox name=\"mechan\" label=\"mechanische Verletzung\" layout=\"left\"/>\r\n<checkbox name=\"allergien\" label=\"Allergien\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<textfield name=\"allergtext\" label=\"Wenn allergisch, worauf ?\"/>','Wundanamnese Wunde Nr.08',NULL,9,154,0,0,0)
,
('WOUNDH9','<optiongroup name=\"art\" label=\"Art\">\r\n<option label=\"Dekubitus\" name=\"dekubitus\" default=\"true\"/>\r\n<option label=\"Ulcus Cruris venosum\" name=\"ulcv\"/>\r\n<option label=\"Ulcus Cruris arteriell\" name=\"ulca\"/>\r\n<option label=\"Ulcus Cruris mixtum\" name=\"ulcm\"/>\r\n<option label=\"Diabetischer Fuß\" name=\"diabetes\" layout=\"br\"/>\r\n<option label=\"sonstige Wunde\" name=\"sonstiges\"/>\r\n<option label=\"mechanische Wunde\" name=\"mechanisch\"/>\r\n<option label=\"abgeheilt\" name=\"abgeheilt\"/>\r\n</optiongroup>\r\n\r\n<bodyscheme name=\"bs1\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n\r\n<optiongroup name=\"entstehung\" label=\"Ort der Entstehung\">\r\n<option label=\"bei uns\" name=\"uns\" default=\"true\"/>\r\n<option label=\"woanders\" name=\"woanders\"/>\r\n</optiongroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"intrinsisch\" name=\"intrinsic\">\r\n<checkbox name=\"rmob\" label=\"reduzierte Mobilität\" layout=\"left\"/>\r\n<checkbox name=\"hauts\" label=\"Veränderung der Hautstruktur\" layout=\"left\"/>\r\n<checkbox name=\"grunde\" label=\"Bestehende Grunderkrankung\" layout=\"left\"/>\r\n<checkbox name=\"az\" label=\"reduzierter AZ\" layout=\"left\"/>\r\n<checkbox name=\"durst\" label=\"gemindertes Durstempfinden\" layout=\"br\"/>\r\n<checkbox name=\"fluesig\" label=\"geringe Flüssigkeitsaufnahme\" layout=\"left\"/>\r\n<checkbox name=\"adipo\" label=\"Adipositas\" layout=\"left\"/>\r\n<checkbox name=\"kachex\" label=\"Kachexie\" layout=\"left\"/>\r\n<checkbox name=\"mangele\" label=\"Mangelernährung\" layout=\"left\"/>\r\n<checkbox name=\"sinko\" label=\"Stuhlinkontinenz\" layout=\"br\"/>\r\n<checkbox name=\"hinko\" label=\"Harninkontinenz\" layout=\"left\"/>\r\n<checkbox name=\"demenz\" label=\"Demenz\" layout=\"left\"/>\r\n<checkbox name=\"infekt\" label=\"Infektion, Fieber\" layout=\"left\"/>\r\n<checkbox name=\"sensib\" label=\"Sensibilitätsstörungen\" layout=\"left\"/>\r\n<checkbox name=\"schweiss\" label=\"Schweiß\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"extrinsisch\" name=\"extrinsic\">\r\n<checkbox name=\"medi\" label=\"Medikamente\" layout=\"left\"/>\r\n<checkbox name=\"feucht\" label=\"Feuchtigkeit (falsches Bettklima)\" layout=\"left\"/>\r\n<checkbox name=\"mang\" label=\"mangelnde Körperhygiene\" layout=\"left\"/>\r\n<checkbox name=\"lagerung\" label=\"Lagerung\" layout=\"left\"/>\r\n<checkbox name=\"scher\" label=\"Scher-/Reibungskräfte\" layout=\"br\"/>\r\n<checkbox name=\"hebe\" label=\"Hebe-/Lagerungstechnik\" layout=\"left\"/>\r\n<checkbox name=\"erfrier\" label=\"Erfrierungen\" layout=\"left\"/>\r\n<checkbox name=\"verbrenn\" label=\"Verbrennungen\" layout=\"left\"/>\r\n<checkbox name=\"mechan\" label=\"mechanische Verletzung\" layout=\"left\"/>\r\n<checkbox name=\"allergien\" label=\"Allergien\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<textfield name=\"allergtext\" label=\"Wenn allergisch, worauf ?\"/>','Wundanamnese Wunde Nr.09',NULL,9,155,0,0,0)
,
('WOUNDH10','<optiongroup name=\"art\" label=\"Art\">\r\n<option label=\"Dekubitus\" name=\"dekubitus\" default=\"true\"/>\r\n<option label=\"Ulcus Cruris venosum\" name=\"ulcv\"/>\r\n<option label=\"Ulcus Cruris arteriell\" name=\"ulca\"/>\r\n<option label=\"Ulcus Cruris mixtum\" name=\"ulcm\"/>\r\n<option label=\"Diabetischer Fuß\" name=\"diabetes\" layout=\"br\"/>\r\n<option label=\"sonstige Wunde\" name=\"sonstiges\"/>\r\n<option label=\"mechanische Wunde\" name=\"mechanisch\"/>\r\n<option label=\"abgeheilt\" name=\"abgeheilt\"/>\r\n</optiongroup>\r\n\r\n<bodyscheme name=\"bs1\"/>\r\n<combobox label=\"Kategorien nach EPUAP\" name=\"epuap\" tooltip=\"Denk dran, dass auch im weiteren Heilungs-Verlauf die anfängliche Wund-Kategorie [b]nicht mehr geändert[/b] wird. Sie bleibt bis zur Epithalisierung bestehen. Ein Dekubitus entwickelt sich also nicht rückwärts.\">\r\n<item label=\"Kategorie I: Nicht wegdrückbare Rötung\" name=\"d1\" tooltip=\"Nicht wegdrückbare, umschriebene Rötung bei intakter Haut, gewöhnlich über einem knöchernen Vorsprung. Bei dunkel pigmentierter Haut ist ein Verblassen möglicherweise nicht sichtbar, die Farbe kann sich aber von der umgebenden Haut unterscheiden. Der Bereich kann schmerzempfindlich, verhärtet, weich, wärmer oder kälter sein als das umgebende Gewebe. Diese Symptome können auf eine (Dekubitus-) Gefährdung hinweisen.\"/>\r\n<item label=\"Kategorie II: Teilverlust der Haut\" name=\"d2\" tooltip=\"Teilzerstörung der Haut (bis zur Dermis), die als flaches, offenes Ulcus mit einem rot bis rosafarbenen Wundbett ohne Beläge in Erscheinung tritt. Kann sich auch als intakte oder offene/rupturierte, serumgefüllte Blase darstellen. Manifestiert sich als glänzendes oder trockenes, flaches Ulcus ohne nekrotisches Gewebe oder Bluterguss10. Diese Kategorie sollte nicht benutzt werden um Skin Tears (Gewebezerreißungen), Verbands- oder pflasterbedingte Hautschädigungen, feuchtigkeitsbedingte Läsionen, Mazerationen oder Abschürfungen zu beschreiben.\"/> \r\n<item label=\"Kategorie III: Verlust der Haut\" name=\"d3\" tooltip=\"Zerstörung aller Hautschichten. Subkutanes Fett kann sichtbar sein, jedoch keine Knochen, Muskeln oder Sehnen. Es kann ein Belag vorliegen, der jedoch nicht die Tiefe der Gewebsschädigung verschleiert. Es können Tunnel oder Unterminierungen vorliegen. Die Tiefe des Dekubitus der Kategorie III variiert je nach anatomischer Lokalisation. Der Nasenrücken, das Ohr, der Hinterkopf und das Gehörknöchelchen haben kein subkutanes Gewebe, daher können Kategorie III Wunden dort auch sehr oberflächlich sein. Im Gegensatz dazu können an besonders adipösen Körperstellen extrem tiefe Kategorie III Wunden auftreten. Knochen und Sehnen sind nicht sichtbar oder tastbar.\"/> \r\n<item label=\"Kategorie IV: vollständiger Haut oder Gewebeverlust\" name=\"d4\" tooltip=\"Totaler Gewebsverlust mit freiliegenden Knochen, Sehnen oder Muskeln. Belag und Schorf können vorliegen. Tunnel oder Unterminierungen liegen oft vor. Die Tiefe des Kategorie IV Dekubitus hängt von der anatomischen Lokalisation ab. Der Nasenrücken, das Ohr, der Hinterkopf und der Knochenvorsprung am Fußknöchel haben kein subkutanes Gewebe, daher können Wunden dort auch sehr oberflächlich sein. Kategorie IV Wunden können sich in Muskeln oder unterstützende Strukturen ausbreiten (Fascien, Sehnen oder Gelenkkapseln) und können dabei leicht Osteomyelitis oder Ostitis verursachen. Knochen und Sehnen sind sichtbar oder tastbar.\"/>\r\n</combobox>\r\n\r\n<optiongroup name=\"entstehung\" label=\"Ort der Entstehung\">\r\n<option label=\"bei uns\" name=\"uns\" default=\"true\"/>\r\n<option label=\"woanders\" name=\"woanders\"/>\r\n</optiongroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"intrinsisch\" name=\"intrinsic\">\r\n<checkbox name=\"rmob\" label=\"reduzierte Mobilität\" layout=\"left\"/>\r\n<checkbox name=\"hauts\" label=\"Veränderung der Hautstruktur\" layout=\"left\"/>\r\n<checkbox name=\"grunde\" label=\"Bestehende Grunderkrankung\" layout=\"left\"/>\r\n<checkbox name=\"az\" label=\"reduzierter AZ\" layout=\"left\"/>\r\n<checkbox name=\"durst\" label=\"gemindertes Durstempfinden\" layout=\"br\"/>\r\n<checkbox name=\"fluesig\" label=\"geringe Flüssigkeitsaufnahme\" layout=\"left\"/>\r\n<checkbox name=\"adipo\" label=\"Adipositas\" layout=\"left\"/>\r\n<checkbox name=\"kachex\" label=\"Kachexie\" layout=\"left\"/>\r\n<checkbox name=\"mangele\" label=\"Mangelernährung\" layout=\"left\"/>\r\n<checkbox name=\"sinko\" label=\"Stuhlinkontinenz\" layout=\"br\"/>\r\n<checkbox name=\"hinko\" label=\"Harninkontinenz\" layout=\"left\"/>\r\n<checkbox name=\"demenz\" label=\"Demenz\" layout=\"left\"/>\r\n<checkbox name=\"infekt\" label=\"Infektion, Fieber\" layout=\"left\"/>\r\n<checkbox name=\"sensib\" label=\"Sensibilitätsstörungen\" layout=\"left\"/>\r\n<checkbox name=\"schweiss\" label=\"Schweiß\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<tabgroup size=\"16\" fontstyle=\"bold\" label=\"extrinsisch\" name=\"extrinsic\">\r\n<checkbox name=\"medi\" label=\"Medikamente\" layout=\"left\"/>\r\n<checkbox name=\"feucht\" label=\"Feuchtigkeit (falsches Bettklima)\" layout=\"left\"/>\r\n<checkbox name=\"mang\" label=\"mangelnde Körperhygiene\" layout=\"left\"/>\r\n<checkbox name=\"lagerung\" label=\"Lagerung\" layout=\"left\"/>\r\n<checkbox name=\"scher\" label=\"Scher-/Reibungskräfte\" layout=\"br\"/>\r\n<checkbox name=\"hebe\" label=\"Hebe-/Lagerungstechnik\" layout=\"left\"/>\r\n<checkbox name=\"erfrier\" label=\"Erfrierungen\" layout=\"left\"/>\r\n<checkbox name=\"verbrenn\" label=\"Verbrennungen\" layout=\"left\"/>\r\n<checkbox name=\"mechan\" label=\"mechanische Verletzung\" layout=\"left\"/>\r\n<checkbox name=\"allergien\" label=\"Allergien\" layout=\"left\"/>\r\n</tabgroup>\r\n\r\n<textfield name=\"allergtext\" label=\"Wenn allergisch, worauf ?\"/>','Wundanamnese Wunde Nr.10',NULL,9,156,0,0,0);
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wunde Nr.01' WHERE `BWINFTYP` = 'WOUND1';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wunde Nr.02' WHERE `BWINFTYP` = 'WOUND2';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wunde Nr.03' WHERE `BWINFTYP` = 'WOUND3';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wunde Nr.04' WHERE `BWINFTYP` = 'WOUND4';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wunde Nr.05' WHERE `BWINFTYP` = 'WOUND5';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wundanamnese Wunde Nr.01' WHERE `BWINFTYP` = 'WOUNDH1'; 
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wundanamnese Wunde Nr.02' WHERE `BWINFTYP` = 'WOUNDH2';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wundanamnese Wunde Nr.03' WHERE `BWINFTYP` = 'WOUNDH3';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wundanamnese Wunde Nr.04' WHERE `BWINFTYP` = 'WOUNDH4';
UPDATE `resinfotype` SET `BWInfoKurz` = 'Wundanamnese Wunde Nr.05' WHERE `BWINFTYP` = 'WOUNDH5';
-- Zahnmedizin
UPDATE `resinfotype` SET `XML` = '
<combobox label="Facharztrichtung" name="specialist">
<item label="Allgemeinchirurgie" name="02"/>
<item label="Allgemeinmedizin" name="00"/>
<item label="Angiologie" name="22"/>
<item label="Anästhesiologie" name="01"/>
<item label="Chirurgie" name="10"/>
<item label="Dermatologie und Venerologie" name="11"/>
<item label="Endokrinologie und Diabetologie" name="23"/>
<item label="Fachärztlicher Internist" name="21"/>
<item label="Gastroenterologie" name="24"/>
<item label="Gefäßchirurgie" name="03"/>
<item label="Geriatrie" name="30"/>
<item label="Gynäkologie und Geburtshilfe" name="12"/>
<item label="Gynäkologische Endokrinologie und Reproduktionsmedizin" name="13"/>
<item label="Gynäkologische Onkologie" name="14"/>
<item label="Hals-Nasen-Ohren-Heilkunde" name="16"/>
<item label="Hausärztlicher Internist" name="20"/>
<item label="Herzchirurgie" name="04"/>
<item label="Hämatologie und Onkologie" name="25"/>
<item label="Innere Medizin" name="19"/>
<item label="Kardiologie" name="26"/>
<item label="Kinder- und Jugendpsychiatrie und -psychotherapie" name="36"/>
<item label="Kinder-Hämatologie und -Onkologie" name="32"/>
<item label="Kinderchirurgie" name="05"/>
<item label="Kinderkardiologie" name="33"/>
<item label="Klinische Pharmakologie" name="37"/>
<item label="Mund-Kiefer-Gesichtschirurgie" name="38"/>
<item label="Neonatologie" name="34"/>
<item label="Nephrologie" name="27"/>
<item label="Neurochirurgie" name="39"/>
<item label="Neurologie" name="40"/>
<item label="Neuropädiatrie" name="35"/>
<item label="Nuklearmedizin" name="41"/>
<item label="Ophthalmologie" name="42"/>
<item label="Orthopädie und Unfallchirurgie" name="06"/>
<item label="Orthopädie" name="43"/>
<item label="Phoniatrie" name="17"/>
<item label="Physikalische und Rehabilitative Medizin" name="44"/>
<item label="Plastische und ästhetische Chirurgie" name="07"/>
<item label="Pneumologie" name="28"/>
<item label="Psychiatrie und Psychotherapie" name="45"/>
<item label="Psychosomatische Medizin und Psychotherapie" name="46"/>
<item label="Pädaudiologie" name="18"/>
<item label="Pädiatrie (Kinderheilkunde)" name="31"/>
<item label="Radiologie" name="47"/>
<item label="Rheumatologie" name="29"/>
<item label="Spezielle Geburtshilfe und Perinatalmedizin" name="15"/>
<item label="Strahlentherapie" name="48"/>
<item label="Thoraxchirurgie" name="08"/>
<item label="Transfusionsmedizin" name="49"/>
<item label="Urologie" name="50"/>
<item label="Visceralchirurgie" name="09"/>
<item label="Zahnmedizin" name="51"/>
</combobox>
<textfield label="Anrede" name="c1title" length="25" hfill="false" innerlayout="tab"/>
<textfield label="Name" name="c1name" length="25" hfill="false" innerlayout="tab"/>
<textfield label="Vorname" name="c1firstname" length="25" hfill="false" innerlayout="tab"/>
<textfield label="Strasse" name="c1street"  length="25" hfill="false" innerlayout="tab"/>
<textfield label="PLZ" name="c1zip"  length="25" hfill="false" innerlayout="tab"/>
<textfield label="Ort" name="c1city"  length="25" hfill="false" innerlayout="tab"/>
<textfield label="Tel" name="c1tel"  length="25" hfill="false" innerlayout="tab"/>
<textfield label="Mobil" name="c1mobile"  length="25" hfill="false" innerlayout="tab"/>
<textfield label="E-Mail" name="c1email"  length="25" hfill="false" innerlayout="tab"/>' WHERE `BWINFTYP` = 'SPECIAL1';
--
-- https://github.com/tloehr/Offene-Pflege.de/issues/71
--
UPDATE `resinfotype` SET `type` = '-1' WHERE `BWINFTYP` = 'NINSURANCE';
INSERT INTO `opde`.`resinfotype` (`BWINFTYP`, `XML`, `BWInfoKurz`, `BWInfoLang`, `BWIKID`, `type`, `IntervalMode`, `equiv`) VALUES ('NINSUR02', '<textfield label="Name" name="niname" innerlayout="tab"/>
<textfield label="Strasse" name="nistreet" innerlayout="tab"/>
<textfield label="PLZ" name="nizip" innerlayout="tab"/>
<textfield label="Ort" name="nicity" innerlayout="tab"/>
<textfield label="Tel" name="nitel" innerlayout="tab"/>
<textfield label="Fax" name="nifax" innerlayout="tab"/>
<textfield label="Zuständig" name="nicontact" innerlayout="tab"/>
<separator/>
<textfield label="Versicherten Nr." name="personno" innerlayout="tab"/>
<textfield label="Krankenkassen Nr." name="insuranceno" innerlayout="tab"/>
<separator/>
<optiongroup name="grade" label="Einstufung" tx="Wird auf Seite 1 eingetragen.">
<option label="nicht eingestuft" name="none" default="true"/>
<option label="beantragt" name="requested"/>
<option label="abgelehnt" name="refused"/>
<option label="alte 0+" name="alte0p" layout="br"/>
<option label="Pflegegrad 1" name="pg1"/>
<option label="Pflegegrad 2" name="pg2"/>
<option label="Pflegegrad 3" name="pg3" layout="br"/>
<option label="Pflegegrad 4" name="pg4"/>
<option label="Pflegegrad 5" name="pg5"/>
<option label="andere (bitte in Beschreibung)" name="other" layout="br"/>
</optiongroup>
<textfield label="Beantragt am" name="requestdate" length="12" type="date" innerlayout="tab" tx="Wird auf Seite 1 eingetragen."/>', 'Pflegekasse', NULL, '13', '105', '0', '15');
-- 
-- https://github.com/tloehr/Offene-Pflege.de/issues/46
--
UPDATE `commontags` SET `type` = '11' WHERE `text` = 'schmerzbeauf' AND `type` = 7;
--
-- https://github.com/tloehr/Offene-Pflege.de/issues/43
--
ALTER TABLE opusers ADD `active_since` DATETIME NULL;
UPDATE opusers SET `active_since` = DATE_SUB(CURDATE(), INTERVAL 4 WEEK) WHERE userstatus = 1;
--
-- für Timo
--
INSERT IGNORE INTO `resinfotype` (`BWINFTYP`, `XML`, `BWInfoKurz`, `BWInfoLang`, `BWIKID`, `type`, `version`, `IntervalMode`, `equiv`) VALUES('SEIZURE','<checkbox name=\"face\" label=\"Gesichtausdruck hat sich verändert\"/>\r\n\r\n<checkbox name=\"eyes\" label=\"Augen waren offen\"/>\r\n\r\n<optiongroup name=\"eyesroll\" label=\"Augen zur Seite gedreht\">\r\n<option label=\"nein\" name=\"no\"  default=\"true\" />\r\n<option label=\"links\" name=\"left\"/>\r\n<option label=\"rechts\" name=\"right\"/>\r\n</optiongroup>\r\n\r\n<checkbox name=\"handmovement\" label=\"nestelnde Bewegungen der Hände (Reiben, Streicheln, Wischen, Klopfen)\"/>\r\n\r\n<optiongroup name=\"headroll\" label=\"Kopf zur Seite gedreht\">\r\n<option label=\"nein\" name=\"no\"  default=\"true\" />\r\n<option label=\"links\" name=\"left\"/>\r\n<option label=\"rechts\" name=\"right\"/>\r\n</optiongroup>\r\n\r\n<textfield label=\"Wie häufig ?\" name=\"headroll.frequency\" innerlayout=\"left\"/>\r\n\r\n<optiongroup name=\"headroll.speed\" label=\"Geschwindidkeit der Kopfbewegung\">\r\n<option label=\"gar nicht\" name=\"noneatall\"  default=\"true\" />\r\n<option label=\"langsam\" name=\"slow\"/>\r\n<option label=\"schnell\" name=\"fast\"/>\r\n</optiongroup>\r\n\r\n<textfield label=\"folgten Zuckungen ?\" name=\"headroll.frequency\" innerlayout=\"left\" tooltip=\"Wenn ja, wie lange ?\"/>\r\n\r\n<optiongroup name=\"falling\" label=\"Wie fiel der Bewohner um ?\">\r\n<option label=\"steiff\" name=\"stiff\"  default=\"true\"  tooltip=\"wie ein Baum\" />\r\n<option label=\"sackte langsam zu Boden\" name=\"slow\"/>\r\n</optiongroup>\r\n\r\n<checkbox name=\"scream\" label=\"Schrei bzw. gepresstes, rasselndes, röchelndes Atemgeräusch\"/>\r\n\r\n<textfield label=\"Falls Lähmungen nach dem Anfall auftraten: wie lange dauerten sie an ?\" name=\"paralyze.time\" innerlayout=\"left\"/>\r\n\r\n<textfield label=\"War der Betroffene sofort ansprechbar ? Wenn nein, wie lange nicht ?\" name=\"knockout.time\" innerlayout=\"left\"/>\r\n\r\n<checkbox name=\"restless\" label=\"erneute motorische Äußerungen, bevor der Bewohner wieder ansprechbar war\"/>\r\n\r\n<textfield label=\"Falls es Nachschlaf gab, wie lange\" name=\"sleeping.time\" innerlayout=\"left\"/>\r\n\r\n<label label=\"Falls der Anfall außergewöhnlich war, beschreiben Sie bitte was anders war.\" fontstyle=\"plain\" name=\"lab2\"/>\r\n\r\n<label label=\"Vermerken Sie, ob Sie den Anfall vollständig selbst beobachtet haben bzw. welche Teile Sie und welche Mitarbeiter, Mitbewohner, Passanten usw. beobachtet haben.\" fontstyle=\"plain\" name=\"lab3\"/>','Anfall','','15','0','0','3','0');
--
--
DROP TABLE `notification`;
DROP TABLE `notify4qmsplan`;
--
--
ALTER TABLE `nreports` ADD DelPIT DATETIME NULL;
ALTER TABLE `nreports` ADD EditedPIT DATETIME NULL;
ALTER TABLE `nreports` CHANGE EditPIT NewPIT DATETIME NOT NULL;
ALTER TABLE `nreports` ADD DeletedBy CHAR(10) NULL;
ALTER TABLE `nreports` CHANGE UKennung NewBy CHAR(10) NOT NULL;
ALTER TABLE `nreports` CHANGE EditBy EditedBy CHAR(10);
-- modifiy existing data to new structure
UPDATE nreports SET DeletedBy = EditedBy, EditedBy = null, DelPIT = NewPIT WHERE EditedBy IS NOT null AND ReplacedBy IS null AND ReplacementFor IS null;
UPDATE nreports SET EditedPIT = NewPIT WHERE EditedBy IS NOT null AND ReplacedBy IS NOT NULL;
--
--
-- Fix the installation problems. Some Versions of MySQL or settings can't handle the old default values.
ALTER TABLE `resident` CHANGE `GebDatum` `GebDatum` DATE NOT NULL;
ALTER TABLE `resvalue` CHANGE `_mdate` `_mdate` TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL; 
ALTER TABLE `sysfiles` CHANGE `PIT` `PIT` TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL;